import 'package:flutter/material.dart';
import './base_route_widget_state.dart';
import 'package:common_module/utils/umeng_utils.dart';

/// 友盟埋点页面基础类
abstract class BaseUmengRouteWeigetState<T extends StatefulWidget>
    extends BaseRouteWeigetState<T> {
  @override
  void onResume() {
    super.onResume();
    String? routeName = getRouteName();
    print('onResume=>>>>>>$routeName');
    UmengUtils.onPageStart(getRouteName()!, getRouteArgs());
  }

  @override
  void onPause() {
    super.onPause();
    String? routeName = getRouteName();
    print('onPause=>>>>>>$routeName');
    UmengUtils.onPageEnd(getRouteName()!, getRouteArgs());
  }
}
