import 'listener/ds_listener.dart';

class DSFrame {
  DSFrame._private();
  static DSFrame create = DSFrame._private();
  factory DSFrame() => create;

  ///
  /// 按键点击监听
  ///
  DSListener? listener;

  ///
  /// build 初始化
  /// listener          监听,监听按钮的点击事件
  ///
  void build({
    DSListener? listener,
  }){
    DSFrame.create.listener = listener;
  }
  
  ///
  /// 设置上报的数据监听
  ///
  void dataListener({required String id,String? pageName,dynamic extras}){
    if(listener != null){
      listener!(id,pageName,extras);
    }
  }
}
