import 'package:alarm_calendar/alarm_calendar_plugin.dart';
export 'package:alarm_calendar/calendars.dart';

class AlarmCalendarUtils {
  static AlarmCalendarUtils? _instance;

  static AlarmCalendarUtils? getInstance() {
    if (_instance == null) {
      _instance = new AlarmCalendarUtils._();
    }
    return _instance;
  }

  AlarmCalendarUtils._();

  Future<String?> create(Calendars calendars) {
    return AlarmCalendar.createEvent(calendars);
  }

  Future<dynamic> selectEvent(String eventId) {
    return AlarmCalendar.selectEvent(eventId);
  }

  Future<bool?> deleteEvent(String eventId) {
    return AlarmCalendar.deleteEvent(eventId);
  }

  Future<String?> updateEvent(Calendars calendars) {
    return AlarmCalendar.updateEvent(calendars);
  }
}
