import 'package:share_extend/share_extend.dart';

class SystemShareUtils {
  static SystemShareUtils? instance;

  static SystemShareUtils? getInstance() {
    if (instance == null) {
      instance = new SystemShareUtils();
    }
    return instance;
  }

  /// 调用系统分享文字
  shareText(String text) {
    ShareExtend.share(text, "text");
  }

  /// 分享图片
  shareImage(String path) async {
    ShareExtend.share(path, 'image');
  }

  /// 分享文件
  shareFile(String path) {
    ShareExtend.share(path, 'file');
  }
}
